import { Function } from "@aws-cdk/aws-lambda";
import { Construct } from "@aws-cdk/core";
import { NodejsFunctionProps } from "@aws-cdk/aws-lambda-nodejs";
/**
 * NodejsFunction Mock
 *
 * Running NodejsFunction for CDK tests is extremely slow, as it requires Parcel Bundler to run inside docker. Instead
 * we use the Lambda Function class that it is based on, with inline code.
 */
export declare class NodejsFunction extends Function {
    constructor(scope: Construct, id: string, props: NodejsFunctionProps);
}
/**
 * Export other Constructs/Classes from the @aws-cdk/aws-lambda-nodejs module without changes
 */
export { Bundling } from "@aws-cdk/aws-lambda-nodejs";
